(function ($) {

Drupal.mm_media_getUploadProgress = function(fileid) {
  $.ajax({
     url:      Drupal.settings.basePath + 'mm_media_upload/progress',
     dataType: 'json',
     data:     "fileid=" + fileid + "&progressbar=" + $('#mm_media_upload_progressbar').progressbar("option", "value"),
     success:  function(data) {
       if (data.filesize > 0) {
         $('#mm_media_upload_filesize').html(Drupal.t('Total file size: !size', {'!size': bytesToSize(data.filesize)}));
       }
       $('#mm_media_upload_percentage').html(' ' + Drupal.t('Complete: !pct%', {'!pct': data.done}) + ' ');
       $('#mm_media_upload_progressbar').progressbar('option', 'value', data.done);
       if (data.done < 100) {
         setTimeout('Drupal.mm_media_getUploadProgress("' + fileid + '")', 100);
       }
     }
  });
};

Drupal.mm_media_startProgress = function(fileid) {
  $('#mm_media_upload_progressbar').progressbar({value: 0});
  $('#mm_media_upload_progress').show();
  $('#mm_media_upload_frame').hide();
  setTimeout('Drupal.mm_media_getUploadProgress("' + fileid + '")', 100);
};

Drupal.mm_media_uploadComplete = function() {
  $('#mm_media_upload_progressbar').progressbar('option', 'value', 100);
  $('#mm_media_upload_percentage').html(' ' + Drupal.t('Complete: !pct%', {'!pct': 100}) + ' ');
  window.location = Drupal.settings.page_url;
};

Drupal.behaviors.mm_media_loadImagesBehavior = {
  attach: function(context) {
    Drupal.mm_media_loadImages();
  }
};

Drupal.mm_media_loadImages = function() {
  $.ajax({
    url:     Drupal.settings.basePath + 'mm_media_upload/generate_temp_thumbs',
    success: function(data) {
      Drupal.mm_media_loadThumbs(data);
    }
  });
};

Drupal.mm_media_loadThumbs = function(data) {
  $('.mm-media-upload-pane').each(function() {
    var hash = $(this).find('img').attr('id');
    $('#' + hash).replaceWith("<img src='" + Drupal.settings.basePath + "mm_media_upload/temp/" + hash + "'>");
  });
  $('#mm-media-loading-thumbs').hide();
};

})(jQuery);
